Subject: bug#49350: closed (Re: bug#49350: gcc-toolchain compilation error with -nostdinc++)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Jul 2021 14:41:02 +0000

Your bug report

#49350: gcc-toolchain compilation error with -nostdinc++

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49350: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49350
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49350: gcc-toolchain compilation error with -nostdinc++
From: Ontje Lünsdorf <[email-masked]>
To: Sarah Morgensen <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Jul 2021 10:07:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Sarah,

Sarah Morgensen <[email-masked]> writes:

> The issue seems to be with the (automatically set by Guix)
> CPLUS_INCLUDE_PATH environment variable. The following works as
> expected:
>
>   guix environment --pure --ad-hoc gcc-toolchain -- CPLUS_INCLUDE_PATH= c++ -nostdinc++ test.cpp

thanks, this solved my problem.

Best regards,
Ontje

Subject: gcc-toolchain compilation error with -nostdinc++
From: Ontje Lünsdorf <[email-masked]>
To: [email-masked]
Date: Sat, 03 Jul 2021 12:41:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I've problems compiling LLVM manually with the gcc-toolchain.
sanitizer_posix_libcdep.cpp is build with -nostdinc++ and fails to find
bits/c++config.h.

I think the issue can be reproduced with this example test.cpp:

#include <stdlib.h>
int main() { return 0; }

c++ from archlinux compiles that file, while c++ from gcc-toolchain doesn't:

$ c++ -nostdinc++ test.cpp
$ guix environment --ad-hoc gcc-toolchain -- c++ -nostdinc++ test.cpp
In file included from /gnu/store/nh9r04xhzmbk3hjsj92yhlhmjsp521g4-profile/include/c++/stdlib.h:36,
                 from test.cpp:1:
/gnu/store/nh9r04xhzmbk3hjsj92yhlhmjsp521g4-profile/include/c++/cstdlib:41:10: fatal error: bits/c++config.h: No such file or directory
   41 | #include <bits/c++config.h>
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.

Is this expected and I'm doing something wrong?

Thanks & best regards,
Ontje